---
title: unity assets
---

Various observations made while using [a fork of AssetStudio][assetstudio] to
look around Cooking Simulator's data.

[assetstudio]: https://tildegit.org/lucidiot/AssetStudio

## Common Properties

| Name           | Type   | Note                                              |
| -------------- | ------ | ------------------------------------------------- |
| `m_GameObject` | PPtr   | = File 0, Path 0                                  |
| `m_Enabled`    | bool   | = 1                                               |
| `m_Script`     | PPtr   | = File 0, two paths (one for normal, one for C&C) |
| `m_Name`       | string | = filename                                        |

## Normal Recipes

Available for base game recipes, Food Network recipes and Superhot recipes

| Name                          | Type     | Note                       |
| ----------------------------- | -------- | -------------------------- |
| `cookingPointsGained`         | int32    | (4-140)                    |
| `UpgradeID`                   | int32    | -1 or 1029-1134            |
| `UpgradeTier`                 | int32    | (1, 2, 3)                  |
| `unlockCost`                  | int32    | (0-420)                    |
| `fastTime`                    | int32    | (40-570)                   |
| `UnlockFame`                  | int32    | (0-5)                      |
| `workloadIntensity`           | int32    | (3-17)                     |
| `expAddQualityThreshold`      | int32    | (0-5)                      |
| `_id`                         | int32    | (1022-1139)                |
| `_isOfficialRecipe`           | bool     | = 1                        |
| `_recipeCreator`              | string   | = `""`                     |
| `_workShopName`               | string   | = `""`                     |
| `_isBaseGameRecipe`           | bool     | 1 for base recipes, else 0 |
| `baseFameGame`                | const    | = null                     |
| `RecipeDifficulty`            | int32    | (1-3)                      |
| `estimatedTimeOverride`       | int32    | (90-750)                   |
| `profit`                      | int32    | (18-141)                   |
| `IsJurorRecipe`               | bool     | = 0                        |
| `globalId`                    | int32    | = 0                        |
| `currentTime`                 | float    | = 0                        |
| `recipeModifiers`             | object   |                            |
| `-.profitModifier`            | const    | = 0                        |
| `-.scoreModifier`             | const    | = 0                        |
| `-.timeModifier`              | const    | = 0                        |
| `-.fameModifierSuccess`       | const    | = 0                        |
| `-.fameModifierFail`          | const    | = 0                        |
| `-.tipModifier`               | const    | = 0                        |
| `-.minQualityModifier`        | const    | = 0                        |
| `-.RecipeType`                | const    | = 0                        |
| `-.overtime`                  | const    | = 0                        |
| `-.modifyComponentsScore`     | const    | = 0                        |
| `-.modifyComponentsQualities` | const    | = 0                        |
| `timeStage`                   | const    | = 0                        |
| `duringCheckout`              | const    | = 0                        |
| `componentsData`              | object[] |                            |
| `[].componentData`            | PPtr     |                            |
| `[].componentQualityWeight`   | float    | (0-1)                      |

## Cakes and Cookies Recipes

| Name                   | Type     | Note    |
| ---------------------- | -------- | ------- |
| `id`                   | int32    | (1-31)  |
| `baseFameGame`         | const    | = null  |
| `recipeComponents`     | object[] |         |
| `[].niceName`          | string   | = ""    |
| `[].key`               | PPtr     |         |
| `[].value`             | float    | (0.1-1) |
| `recipeDefinedHashtag` | string[] |         |
| `cakeRecipeDifficulty` | int32    | (0-2)   |

> TODO: What are Cakes and Cookies recipe components

## Dish Components

Available in the base game, Food Network and Superhot

| Name                                        | Type     | Note             |
| ------------------------------------------- | -------- | ---------------- |
| `_id`                                       | int32    | (102200-113900)  |
| `_componentCreator`                         | string   | = `""`           |
| `_workShopName`                             | string   | = `""`           |
| `_isOfficialComponent`                      | bool     |                  |
| `fastestTime`                               | float    | (0-440.78)       |
| `freeTime`                                  | float    | (0-180)          |
| `complexity`                                | int32    | (0-1330)         |
| `servings`                                  | int32    | (0-1)            |
| `thermalScoreWeight`                        | int32    | (0-1)            |
| `temperatureScoreWeight`                    | float    | (0-1)            |
| `data`                                      | object   |                  |
| `.serializedData`                           | string   | JSON of the data |
| `.AllIngredients`                           | int32[]  |                  |
| `.PreviousComponentsResults`                | object[] |                  |
| `.CustomInstructions`                       | object[] |                  |
| `qualityRequirements`                       | object[] |                  |
| `[].thermalWeight`                          | float    | (0, 0.5, 1)      |
| `[].temperatureWeight`                      | float    | (0, 1)           |
| `[].temperatureRange`                       | int32    | (15-40)          |
| `[].technicalWeight`                        | float    | (0, 0.1, 0.5, 1) |
| `[].tasteWeight`                            | float    | (0, 0.5, 1)      |
| `[].tasteRequirements`                      | object[] |                  |
| `[].[].productID`                           | int32    |                  |
| `[].[].targetEatableTasteOverrideOver`      | const    | = -1             |
| `[].[].targetEatableTasteOverrideUnder`     | const    | = -1             |
| `[].[].targetGoodTasteOverrideOver`         | const    | = -1             |
| `[].[].targetGoodTasteOverrideUnder`        | const    | = -1             |
| `[].[].targetPerfectTasteOverrideOver`      | int32    | (-1, 0, 1)       |
| `[].[].targetPerfectTasteOverrideUnder`     | const    | = -1             |
| `[].[].targetTasteEatableRangeOverPerGram`  | float    |                  |
| `[].[].targetTasteEatableRangeUnderPerGram` | float    |                  |
| `[].[].targetTasteGoodRangeOverPerGram`     | float    |                  |
| `[].[].targetTasteGoodRangeUnderPerGram`    | float    |                  |
| `[].[].targetTastePerfectRangeOverPerGram`  | float    |                  |
| `[].[].targetTastePerfectRangeUnderPerGram` | float    |                  |
| `[].[].targetTasteValuePerGram`             | float    |                  |
| `[].targetQuantity`                         | int32    | (2-1000)         |
| `[].SmallTechnicalLimit`                    | object   |                  |
| `[].SmallTechnicalLimit.X`                  | int32    |                  |
| `[].SmallTechnicalLimit.Y`                  | int32    |                  |
| `[].smallTechnicalLimit`                    | object   |                  |
| `[].smallTechnicalLimit.X`                  | int32    |                  |
| `[].smallTechnicalLimit.Y`                  | int32    |                  |
| `[].qualityRanges`                          | object   |                  |
| `[].qualityRanges.perfect`                  | float    | (0-1)            |
| `[].qualityRanges.good`                     | float    | (0-1)            |
| `[].qualityRanges.eatable`                  | float    | (0-1)            |
| `[].productID`                              | int32    |                  |
| `[].possibleWantedTastes`                   | int32[]  |                  |
| `[].goodTemperature`                        | float    | (20-100)         |
| `[].cookingType`                            | object[] |                  |
| `[].[].goodnesType`                         | int32    | (0, 1, 2, 4, 5)  |
| `[].[].reqValue`                            | float    | (9.52-200)       |
| `[].checkGoodOrGreater`                     | bool     | = 1              |
| `[].BigTechnicalLimit`                      | object   |                  |
| `[].BigTechnicalLimit.X`                    | int32    |                  |
| `[].BigTechnicalLimit.Y`                    | int32    |                  |
| `[].bigTechnicalLimit`                      | object   |                  |
| `[].bigTechnicalLimit.X`                    | float    | (0.3, 0.487)     |
| `[].bigTechnicalLimit.Y`                    | float    | (0.3, 0.487)     |
