---
title: Blockchain Nomic
---

## Introduction

While talking about building a tabletop RPG themed around Internet protocols
with ~bakersdozen and ~loaf, I had the idea of an append-only game of Nomic:
players would take turns creating a single rule, without having to make any
vote.

The idea was inspired by Mornington Crescent, basically the opposite of Nomic in
which nobody knows the exact rules as they get made up by the players.  The word
"blockchain" here is just here to mean that once a rule is added to the chain,
it is immutable.  It is also used because it can sound scary in the current
times.

The initial ruleset has been designed to be played on a mailing list, with a
constantly varying amount of active players, and may need some adaptation for
other means of play.

## Initial ruleset

### 0. Startup Conditions

All players must abide by the ruleset as it is in effect at the time of their
play.  The rules of the Initial Ruleset are in effect when a game begins.
Players start with zero points.

### 1. Appending to the Ruleset

All players can add a new rule to this ruleset at any time by sending an e-mail
stating they add a new rule and holding the attributes of the new rule.

Rules have a number, a title and a content.  Rules that do not have a title or
content should be ignored and cannot be added to the ruleset.  The next
available ordinal number is implicitly assigned to each new rule.

An e-mail that appears to include a rule, but does not contain a statement
explicitly mentioning that the player creates a new rule, does not create a
rule.

### 2. Blockchain

Rules cannot be modified, changed or repealed after their enactment.

No rule may have a retroactive application.

### 3. Unregulated Actions

Whatever is not prohibited or regulated by a rule is permitted and unregulated,
with the sole exception of modifying, changing or repealing the rules, which is
permitted only when a rule or set of rules explicitly or implicitly permits it.

### 4. Judgements

If players disagree about the legality of a move or the interpretation or
application of a rule, they may Call for Judgement.  The Judge is the first
player who replies to the Call by stating they are the Judge, or by sending
their Judgement directly.  Players directly involved in the disagreement cannot
be Judges of the relevant Call for Judgement.

New Judges are not bound by the decisions of old Judges.  New Judges may,
however, settle only those questions on which the players currently disagree and
that affect the completion of the move for which Judgment was invoked.  All
decisions by Judges shall be in accordance with all the rules then in effect;
but when the rules are silent, inconsistent, or unclear on the point at issue,
then the Judge shall consider game-custom and the spirit of the game before
applying other standards.

### 5. Conflict Resolution

If two or more rules conflict with each other, then the rule with the highest
ordinal number takes precedence.

If at least one of the rules in conflict explicitly says of itself that it
defers to another rule (or type of rule) or takes precedence over another rule
(or type of rule), then such provisions shall supersede the numerical method for
determining precedence.

If two or more rules claim to take precedence over one another or to defer to
one another, in such a way that precedence cannot be determined, then the
numerical method again governs.

### 6. Resilience

If a new rule causes any and all changes to the ruleset to be impossible, a
player can immediately repeal it by stating their intention in an e-mail.

### 7. Paradoxes

If the legality of a move cannot be determined with finality, or if by the
Judge's best reasoning, not overruled, a move appears equally legal and illegal,
it is declared to be a Paradox.  Only a Judge may declare a Paradox, by the
means of a Judgement.

When a Paradox is declared, the player who made the Call for Judgement that
resulted in the Paradox being declared earns a point.
