I have been reading through the Cases for Judgement archive of Agora
Nomic, and their contents can really get interesting:

- [CFJ 1676][1], calling for judgement on the fact that "this is a CFJ".
  It has been judged as TRUE, making the term "this" refer to the CFJ
  while it was being created by the usual sentence used in messages
  "I call for judgement on the statement '…'".
- [CFJ 1677][2], calling for judgement on "this is not a CFJ".
  It has been judged as FALSE, using the previous CFJ as proof.

And I found the rather recent [CFJ 3815][3], in which a player submitted a
proposal for amending an existing rule, titled "Judicial Jocularity Act"
but with a special 'font' faked using Unicode code points in the
Mathematical Alphanumeric Symbols block. The player asked whether or not
this was a valid title, and it has been judged as TRUE.

I feel like I could just register and immediately appeal this judgement
with the argument that screen readers [would absolutely break][4] on this
title: they could read it as "Mathematical script capital J
mathematical script small u mathematical script small d…", making the
title absolutely unbearable to read, and breaking the precedent set by
[CFJ 3530][5] in terms of understandability.

This reminds me that the proposal system in Agora now works far more
differently than what was intended by the original rules of Nomic: the
entire concept of a turn has been completely removed, and anyone can
play at any time just by sending an email (an announcement).  That way,
one can send any number of proposals to change the rules, which are then
processed in batches by the Promotor, then resolved by the Assessor once
the voting ends, and registered by the Rulekeepor. Those three names are
official positions at which players can get elected.

If you want to read the Agoran ruleset some more, I found an
[easier to read version][6] of the rules in HTML.

This is what brings me back to this paragraph of mine:

> The concept of Nomgit could also turn into an interesting Nomic variant
> where a Git repository becomes the one single place where the game gets
> played,  and multiple rule changes can be proposed by any player at any
> time just by opening a pull request, removing the turn-based portion of
> Nomic.  I will probably expand further on this on my breadsite later.

My main thought about using Git is pretty much that we could remove the
entire turn system, which would definitely make things easier when we
work in such an asynchronous way here.  This would require to either
write a custom ruleset to being the game with, or spending quite a long
time destroying the rules turn by turn until the turn system ceases to
exist.

I found [a Git repository][7] made by a townie for a game of Nomic that
apparently lasted for over a year, where players would take turns
creating pull requests given a limit of 48 hours, and issues can be used
to ask questions or call for judgements at any time.  This seems usable
assuming at least one person follows the rhythm of the game, but what if
everyone is suddenly away for 48 hours? or what if i am away from
multiple turns for any reason other than being too lazy to play,
wouldn't that be unfair to me in terms of winning the game?  And trying
to keep up with who's turn it is is going to be hard again with just Git
and NNTP.

I can definitely try to rewrite the rules a little bit so we could have
a basic Git-compatible ruleset if you are okay with it.

There is a Wiki for a now dead game of Nomic played on the XKCD forums [8]; the
game might have been killed just by the instant closure of said forums
after a database leak.

[1]: //faculty.washington.edu/kerim/nomic/cases/?1676
[2]: //faculty.washington.edu/kerim/nomic/cases/?1677
[3]: //faculty.washington.edu/kerim/nomic/cases/?3815
[4]: //ux.stackexchange.com/a/118215
[5]: //faculty.washington.edu/kerim/nomic/cases/?3530
[6]: //agora-ruleset.gaelan.me/
[7]: //github.com/audiodude/tiny-nomic
[8]: //xkcdnomic.fandom.com/wiki/Nomic_15.0_Storage
