---
title: Metro Pandemic
---

This is a far more complex variant that I have been working on from time to
time.  I currently have absolutely no idea whether it would work or not and it
is definitely not in a stable state.  I intend to wait until we playtest other,
simpler ideas, maybe extracted from this ruleset, to see if I am going in the
wrong direction.

The basic idea is to make a lot less luck-based and much more strategy-oriented.
Cards are no longer, dices are used for specific cases, but it is mostly
possible to forecast a few turns ahead how the game will evolve and plan ahead.
A corollary is that you can also see yourselves loose the game, which is an
effect I think I would like to have.

The way I am currently writing the rules is rather verbose and is inspired by
Agora Nomic as I have been looking into [nomics](../nomic/) a lot, but I am
pretty sure I would rewrite it in an easier to read way for actual play.

Feel free to contact me if you want to help me write this!

## Map

* The world map is replaced by an underground network of subway stations,
  connected to each other via metro lines.
* One station can have multiple lines going through it.
* Metro lines may start and end at different stations (regular lines) or form a
  loop (circular lines).

## Trains

* The six pawns representing original research centers now represent trains.
* Trains can carry an unlimited amount of players, and up to one cube of each
  color. Carrying an item is represented by placing it on the train's side.
* After each turn, each train moves forward by one station.
  Any items carried by a train moves forward along with the train.
* A train's direction is represented by the side of the station it is placed in.
* Trains drive right by default, but players are allowed to switch around
  before starting the game.
* When a train reaches a station, it contaminates the station with each of the
  diseases it is carrying.

## Movement

* Players cannot move along the lines by themselves without boarding a train.
* Players can only get on a train when it is at the station they are at.
* Getting on and off a train costs one action.
* If two trains are at the same station, switching trains only costs one action.

## Disease Control

* The contagion level is an integer between 1 and 5 inclusive.  
  The initial value of the contagion level can be decided by the players to
  adjust the difficulty.
* A vaccine level is an integer between 0 and 5 inclusive. Each disease has
  one vaccine level. The initial value is always zero.
* The contagion level and all vaccine levels are represented by placing the
  existing infection rate indicator and vaccine indicators on a new set of
  slots on the board; 5 slots for the contagion level, 6 for each vaccine level.
* A vaccine is considered available when the vaccine level is strictly greater
  than the contagion level.
* When a vaccine is available, removing all cubes of the same disease from a
  city costs a single action.
* When there no longer are any cubes of one disease and its vaccine is
  available, the disease is eradicated and the vaccine indicator should be
  flipped to its side holding a forbidden symbol.
* After each turn, if an eradicated disease's vaccine is no longer available,
  throw a d20.  
  Obtaining 1 causes the disease to reappear and no longer be eradicated.
* When a disease reappears, one cube of that disease should be placed in every
  train.

> To-do: How are the contagion and vaccine levels modified?

## Player roles

At the beginning of the game, each player picks at random a card indicating
their role. Roles determine the pawn color for each player and give them
specific abilities.

> To-do: create 8 roles and assign colors

### Doctor

Just like the original game.

* Removing all cubes of a disease costs one action even when the vaccine is
  unavailable.
* Removing all cubes of a disease does not cost any actions when a vaccine
  is available.

### President

* When placed on the presidential office station, can declare a Quarantine.
  Declaring a Quarantine costs 4 actions and decrements the contagion level.

### Technician

* Can move around the lines without requiring the use of a train.

### Driver

* When on a train, can for one action make the train move in any direction
  at any time.
* When on a train, can choose to not move or move in any direction for no action
  when the train is supposed to move between turns.
