---
title: Pandemic Quarantine variant
---

This is a more complex variant than [Chernobyl](./chernobyl.html), but it still
has the same goal; lower the risk of fatal chain reactions or control them.

This time, instead of changing the behavior of chain reactions themselves,
barriers are introduced, materialized by a new type of object on the board
(black circles, which I built myself out of cardboard), to block outbreaks.

This is inspired by the successive quarantine orders all around the world
during the 2020 pandemic; those were all intended to basically pause the
pandemic until we were more equipped, informed, and ready to fight it.  
In this game, this means quarantining until vaccines are found.

## Rules

* 7 black circles are added to the game.
  Players may decide to adjust the amount of circles to change the difficulty
  before starting a new game.
* Black circles can be placed on cities to materialize their quarantined status.
* After an outbreak or an epidemic occurs on a city, the city becomes
  quarantined.
* When a city is under quarantine, it can still receive cubes by propagation,
  by epidemic or by outbreak of a neighboring city.
* If a quarantined city has 3 cubes of the same color, it cannot receive more
  cubes.
* Eclosions cannot occur on quarantined cities.
* Players may not enter or exit a quarantined city using the normal routes
  materialized by white lines on the board.  They however can perform any other
  action and can enter or exit the city via any other means.
* When a vaccine is found for a disease, all quarantined cities with 3 cubes of
  that disease become unquarantined, no matter how many cubes of other diseases
  they might have.
* If a city should become quarantined but no black circles are remaining,
  the quarantine does not occur.

## Playtesting

I have built the circles out of cardboard and handwrote a small card summarizing
the new rules so we can refer to it anytime during the game without needing a
smartphone, which is pretty nice considering we like to play in unusual places
such as during urbex.  However, due to the real life quarantines and various
availability issues, we did not yet find the time to properly test this variant.
